<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Mon May 04 16:03:47 EEST 2020 -->
<title>ProductDAO</title>
<meta name="date" content="2020-05-04">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ProductDAO";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../ro/utcn/dataAccessLayer/OrderDAO.html" title="class in ro.utcn.dataAccessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?ro/utcn/dataAccessLayer/ProductDAO.html" target="_top">Frames</a></li>
<li><a href="ProductDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.ro.utcn.dataAccessLayer.base.AbstractDAO">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">ro.utcn.dataAccessLayer</div>
<h2 title="Class ProductDAO" class="title">Class ProductDAO</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="class in ro.utcn.dataAccessLayer.base">ro.utcn.dataAccessLayer.base.AbstractDAO</a></li>
<li>
<ul class="inheritance">
<li>ro.utcn.dataAccessLayer.ProductDAO</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">ProductDAO</span>
extends <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="class in ro.utcn.dataAccessLayer.base">AbstractDAO</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.ro.utcn.dataAccessLayer.base.AbstractDAO">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;ro.utcn.dataAccessLayer.base.<a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="class in ro.utcn.dataAccessLayer.base">AbstractDAO</a></h3>
<code><a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#type">type</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../../../ro/utcn/dataAccessLayer/ProductDAO.html" title="class in ro.utcn.dataAccessLayer">ProductDAO</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../ro/utcn/dataAccessLayer/ProductDAO.html#getProductDAO--">getProductDAO</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.ro.utcn.dataAccessLayer.base.AbstractDAO">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;ro.utcn.dataAccessLayer.base.<a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html" title="class in ro.utcn.dataAccessLayer.base">AbstractDAO</a></h3>
<code><a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#delete-java.lang.String-">delete</a>, <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#findByName-java.lang.String-java.lang.String-">findByName</a>, <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#getAll--">getAll</a>, <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#getConnection--">getConnection</a>, <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#insert-MODEL-">insert</a>, <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#nextId--">nextId</a>, <a href="../../../ro/utcn/dataAccessLayer/base/AbstractDAO.html#updateIntegerField-java.lang.Integer-java.lang.String-java.lang.Integer-">updateIntegerField</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProductDAO--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getProductDAO</h4>
<pre>public static&nbsp;<a href="../../../ro/utcn/dataAccessLayer/ProductDAO.html" title="class in ro.utcn.dataAccessLayer">ProductDAO</a>&nbsp;getProductDAO()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>singleton instance of the class</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../ro/utcn/dataAccessLayer/OrderDAO.html" title="class in ro.utcn.dataAccessLayer"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?ro/utcn/dataAccessLayer/ProductDAO.html" target="_top">Frames</a></li>
<li><a href="ProductDAO.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.ro.utcn.dataAccessLayer.base.AbstractDAO">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
